Get the full profile for a single TikTok user by username, user ID, or profile URL. Returns bio, bio link, follower / following counts, total likes, video count, verification status, join date, and linked Instagram, X/Twitter, and YouTube accounts.
curl "https://apidirect.io/v1/tiktok/user?username=gordonramsayofficial" \
-H "X-API-Key: YOUR_API_KEY"
{
"user": {
"username": "gordonramsayofficial",
"nickname": "Gordon Ramsay",
"user_id": "6747935906352907269",
"sec_uid": "MS4wLjABAAAAv3zolJLlWp-WbKXqSZwVSflDdwcbjPADRG-dhb68k30dQjkFpkRs4HiMvWeeIyVv",
"bio": "I cook sometimes too.....",
"bio_link": "GordonRamsay.com/",
"verified": true,
"is_private": false,
"followers": 40817126,
"following": 573,
"likes": 728577233,
"video_count": 839,
"videos_liked": 0,
"avatar": "https://p19-common-sign.tiktokcdn-us.com/.../photo.webp",
"avatar_hd": "https://p19-common-sign.tiktokcdn-us.com/.../photo_1080.webp",
"date_joined": "2019-10-18 17:42:11",
"date_joined_timestamp": 1571420531,
"instagram_username": "",
"twitter_id": "",
"youtube_channel_id": "",
"youtube_channel_title": "",
"url": "https://www.tiktok.com/@gordonramsayofficial"
}
}